/* 1. Add getter setter methods for sideH and sideV.
   2. Add a function to return the area of the rectangle 
   3. Add toString so that it returns a good representation
   of the rectangle --look at Circle.toString() for 
   a good example.
   
   4. Add a procedure resetRectangle so that a call
      resetRectangle(20, 30) changes its horizontal side to
      20 and its vertical side to 30. Be sure to specify it suitably.
      Remember, side lengths must be >= 0
      
   5. Add a procedure setRectangle so that a call
      resetRectangle(2, 3, 41, 30)  changes its position ot (2, 3),
      its hoizontal side to 41, and its vertical side to 30.
      Be sure to specify it correctly. Can you do this with 3
      statements: assert statement to check precondition and
      two procedure calls. To do it, you have to already added a
      procedure to Shapeaccording to comment at its top.
*/
      
/** instance represents a rectangle at a point in the plane */
public class Rectangle extends Shape {
    private double sideH, sideV; // Horizontal, vertical side lengths (>= 0)
    
    /** Constructor: instance with horizontal, vertical sidelength sh, sv
        at point (x, y).
        Precondition: sh >= 0 and sv >= 0*/
    public Rectangle(double sh, double sv, double x, double y) {
        super(x, y);
        sideH= sh;
        sideV= sv;
    }
    
    /** Constructor: square with side length s at point (x, y)
        Precondition: s >= 0 */
    public Rectangle(double s, double x, double y) {
        super(x, y);
        assert x >= 0;
        sideH= s;
        sideV= s;
    }
    


}